Suppression
Look up a suppressed address
GET
Returns the suppression entry, or 404 when the address is not on the list.
Requires the suppression:read scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
email*stringapplication/json- response
id*stringemail*stringreason*stringValue in
"complaint""hard-bounce""import""manual""soft-bounce""unsubscribe"source*stringValue in
"dashboard""import""journey""public-api""ses"sourceDeliveryId*string|nullnote*string|nullcreatedByUserId*string|nullcreated*stringFormat
date-timecurl -X GET 'https://api.mailcrate.io/public/suppression/string' \ -H 'Authorization: Api-Key <api_key>'Example Response
{ "id": "string", "email": "string", "reason": "complaint", "source": "dashboard", "sourceDeliveryId": "string", "note": "string", "createdByUserId": "string", "created": "2019-08-24T14:15:22Z"}